// Arquivo de exemplo: GetNamedItem.aspx.cs
using System;
using System.Xml;

public partial class GetNamedItem : System.Web.UI.Page {
	protected void Page_Load(object sender, EventArgs e) {
		XmlDocument doc = new XmlDocument();
		doc.Load(@"C:\Livro\Capitulo22\revistas.xml");
		XmlNodeList no = doc.GetElementsByTagName("preço");
		for (int i = 0; i < no.Count; i++) {
			Response.Write(no.Item(i).Attributes.GetNamedItem("moeda").Name + "="); 
			Response.Write(no.Item(i).Attributes.GetNamedItem("moeda").InnerText + "<br>");
		}
	}
}
